#!/bin/bash

if [ "$1" == "%U" ]
then
# bug in some launchers adds literal %U as args instead of interpreting it as a macro, so let's ignore that
shift
fi


pwd=$(pwd)

export PS1='\w\$ '
umask 022


echo "--------------------------------------------------------------"
echo "Setting PATH to $pwd:$PATH"
export PATH=$pwd:$PATH

echo "Setting LD_LIBRARY_PATH to $pwd/lib:$LD_LIBRARY_PATH"
export LD_LIBRARY_PATH="$pwd/lib:$LD_LIBRARY_PATH:/lib:/usr/lib"

if [ ! -e /etc/slackware-version ]
then
 echo "--------------------------------------------------------------"
 echo "Setting LD_LIBRARY_PATH to $pwd/libs:$LD_LIBRARY_PATH"
 export LD_LIBRARY_PATH=$pwd/libs:$LD_LIBRARY_PATH
fi


if [ ! -e home ]
then
 echo "--------------------------------------------------------------"
 echo "mkdir home"
 mkdir home
fi

if [ ! -e home/.4.1.0.03 ];then
 echo upgrading to 4.1.0.03
 echo 4.1.0.03>home/.4.1.0.03
 if [ -d libreoffice ];then
  mv libreoffice home/
 fi
 if [ -d gtk-2.0 ];then
  mv gtk-2.0 home/
 fi
 if [ -d .fontconfig ];then
  mv .fontconfig home/
 fi
fi

#creation of extensions
if [ ! -e home/extensions ]
then
 echo "--------------------------------------------------------------"
 echo "creation of extensions folder"
 mkdir home/extensions
fi

if [ ! -e home/.4.3.0.05 ];then
 echo upgrading to 4.3.0.05
 echo 4.3.0.05>home/.4.3.0.05
 cd home/extensions
 tar xzf ../../extensions.tgz
 cd ../..
fi

#trick to have PND launching on PC...
if [ ! -z "$REAL_HOME" ];then
 cp $REAL_HOME/.Xauthority $pwd/home
else
 cp $HOME/.Xauthority $pwd/home
 export REAL_HOME=$HOME
fi

export HOME=$pwd/home

exec lib/libreoffice/program/soffice $@

